Ubuntu Python -dbg packages

Lee Harr missive at hotmail.com
Sun Jan 6 21:21:09 CET 2013


> On 1/6/2013 8:42 AM, Lee Harr wrote:
>>
>> I am using:
>> Ubuntu 12.10
>> Python 3.2.3
>
> import has been considerably redone, and hopefully upgraded, in 3.3.


Ok, so now I tried python3.3-dbg but I don't think the pyqt
modules are compiled for 3.3 and that may be preventing
the import there.

Those extension modules would need to be compiled for
an exactly matching python interpreter, right?



>> Qt 4.8.2
>> PyQt 4.9.3
>>
>> I also have the ubuntu -dbg packages:
>> python3-dbg
>> python3-pyqt4-dbg
>>
>>
>>
>> I don't understand why python3-dbg cannot import the PyQt4 modules...

> Is PyQtr.__file__ the same here, as below?

Yes. It's the same.

Sorry, that's what I meant to show there.

$ python3
Python 3.2.3 (default, Oct 19 2012, 19:53:57) 
[GCC 4.7.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyQt4
>>> PyQt4.__file__
'/usr/lib/python3/dist-packages/PyQt4/__init__.py'
>>>



>> $ python3-dbg
>> Python 3.2.3 (default, Oct 19 2012, 19:58:54)
>> [GCC 4.7.2] on linux2
>> Type "help", "copyright", "credits" or "license" for more information.
>>>>> import sys
>> [60298 refs]
>>>>> sys.executable
>> '/usr/bin/python3-dbg'
>> [60300 refs]
>>>>> import PyQt4
>> [60323 refs]
>>>>> PyQt4.__file__
>> '/usr/lib/python3/dist-packages/PyQt4/__init__.py'
>> [60323 refs]
>>>>> import PyQt4.QtCore
>> Traceback (most recent call last):
>>    File "<stdin>", line 1, in <module>
>> ImportError: No module named QtCore
>> [150996 refs]


So, python3-dbg _should_ be able to import this?

Any ideas about the python3-pyqt4-dbg modules mentioned originally?

 		 	   		  



More information about the Python-list mailing list